Skip to main content
PATCH
/
v1
/
companies
/
{company-id}
/
account_external_truck_identifiers
/
{id}
Update a AccountExternalTruckIdentifier
curl --request PATCH \
  --url https://api.tread-horizon.com/v1/companies/{company-id}/account_external_truck_identifiers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "company_share_id": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "last_ticket_received_at": "<string>",
    "account": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "discarded_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "account_types": [
        "customer"
      ],
      "external_id": "<string>",
      "accounting_id": "<string>",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "schedule_on": true,
      "billing_address": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "thoroughfare": "<string>",
        "premise": "<string>",
        "locality": "<string>",
        "administrative_area": "<string>",
        "postal_code": "<string>",
        "country": "US",
        "lat": "<string>",
        "lon": "<string>",
        "place_id": "<string>"
      },
      "connected_company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "billing_contact": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>",
        "phone": "+18885551234"
      }
    },
    "external_truck_id": "<string>",
    "vendor_account": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "discarded_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "account_types": [
        "customer"
      ],
      "external_id": "<string>",
      "accounting_id": "<string>",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "schedule_on": true,
      "billing_address": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "thoroughfare": "<string>",
        "premise": "<string>",
        "locality": "<string>",
        "administrative_area": "<string>",
        "postal_code": "<string>",
        "country": "US",
        "lat": "<string>",
        "lon": "<string>",
        "place_id": "<string>"
      },
      "connected_company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "billing_contact": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>",
        "phone": "+18885551234"
      }
    },
    "company_share": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "external_id": "<string>",
      "ticket_match_id": "<string>",
      "sender_company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "dispatchable": true,
      "schedule_on": true,
      "rate_override": true,
      "expires_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "parent_company_share_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "company_shareable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "company_shareable_type": "User",
      "receiver_company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "company_shareable": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "type": "User"
      }
    },
    "customer_account": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "discarded_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "account_types": [
        "customer"
      ],
      "external_id": "<string>",
      "accounting_id": "<string>",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "schedule_on": true,
      "billing_address": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "thoroughfare": "<string>",
        "premise": "<string>",
        "locality": "<string>",
        "administrative_area": "<string>",
        "postal_code": "<string>",
        "country": "US",
        "lat": "<string>",
        "lon": "<string>",
        "place_id": "<string>"
      },
      "connected_company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "billing_contact": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>",
        "phone": "+18885551234"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

id
string
required

AccountExternalTruckIdentifier ID

company-id
string
required

Company ID

Body

application/json
company_share_id
string | null

Response

OK

data
Account-External-Truck-Identifier-Read · object
required